# rpm does not currently pull debuginfo out of mono packages
%global debug_package %{nil}  

Summary:        MonoDevelop Debugger Addin
Name:           monodevelop-debugger-mdb
Version:        2.0
Release:        2%{?dist}
License:        MIT
Group:          Development/Tools
Source:         http://ftp.novell.com/pub/mono/sources-stable/%{name}-%{version}.tar.bz2
URL:            http://www.monodevelop.com
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)  
BuildRequires:  monodevelop = %{version} mono-devel mono-debugger-devel monodevelop-devel mono-addins-devel
Requires:       mono-debugger >= 2.0
ExclusiveArch:  %ix86

%description
Mono Debugger Addin for MonoDevelop. 

%package devel
Summary:        Development files for MonoDevelop Debugger Addin
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
Mono Debugger Addin for MonoDevelop. Development package.

The %{name}-devel package contains development files for %{name}.

%define assembly_path %{_libdir}/monodevelop/AddIns/MonoDevelop.Debugger/

%prep
%setup -q
sed -i -e 's!@expanded_libdir@/@PACKAGE@/!%{assembly_path}!g' Mono.Debugging.Backend.Mdb/mono.debugging.backend.mdb.pc.in

%build
./configure --prefix=%{_prefix} --bindir=%{_bindir} --datadir=%{_datadir} --libdir=%{_libdir}
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{assembly_path}
if [ %{_libdir} != "/usr/lib" ];
then
       mv %{buildroot}%{_prefix}/lib/monodevelop/AddIns/MonoDevelop.Debugger/DebuggerClient.dll* \
              %{buildroot}%{assembly_path}
       mv %{buildroot}%{_prefix}/lib/monodevelop/AddIns/MonoDevelop.Debugger/DebuggerServer.exe* \
              %{buildroot}%{assembly_path}
       rm -r %{buildroot}/usr/lib ;
fi ;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{assembly_path}DebuggerClient.dll*
%{assembly_path}DebuggerServer.exe*

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/mono.debugging.backend.mdb.pc

%changelog
* Fri Jul 03 2009 Paul Lange <palango@gmx.de> - 2.0-2
- Fix build

* Thu Jun 04 2009 Mauricio Henriquez <buhochileno@gmail.com> - 2.0-1
- Initial packaging with help by Ryan Bair
